org.apache.sling.maven.projectsupport

## Class LaunchpadPluginLifecycleParticipant

- java.lang.Object
- - org.apache.maven.AbstractMavenLifecycleParticipant
  - - org.apache.sling.maven.projectsupport.LaunchpadPluginLifecycleParticipant

    @Component(role=org.apache.maven.AbstractMavenLifecycleParticipant.class)
    public class LaunchpadPluginLifecycleParticipant
    extends org.apache.maven.AbstractMavenLifecycleParticipant

Maven lifecycle participant which adds the default bundle list, the jar web support bundle, and the contents of any local bundle list.

### Constructor Summary

Constructors
Constructor and Description
`LaunchpadPluginLifecycleParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterProjectsRead(org.apache.maven.execution.MavenSession session)`

### Methods inherited from class org.apache.maven.AbstractMavenLifecycleParticipant

`afterSessionStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchpadPluginLifecycleParticipant

    public LaunchpadPluginLifecycleParticipant()

### Method Detail

#### afterProjectsRead

    public void afterProjectsRead(org.apache.maven.execution.MavenSession session)
                           throws org.apache.maven.MavenExecutionException

Overrides:
  `afterProjectsRead` in class `org.apache.maven.AbstractMavenLifecycleParticipant`
Throws:
  `org.apache.maven.MavenExecutionException`